Bug 103833 - [CI] igt@kms_fbcon_fbt@[psr|fbc|psr-suspend|fbc-suspend] - fail - Failed assertion: feature->wait_until_enabled(drm.debugfs_fd)
Summary: [CI] igt@kms_fbcon_fbt@[psr|fbc|psr-suspend|fbc-suspend] - fail - Failed asse...
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: low normal
Assignee: Jose Roberto de Souza
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 105356 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-11-21 08:23 UTC by Marta Löfstedt
Modified: 2019-10-07 14:08 UTC (History)
1 user (show)

See Also:
i915 platform: CFL, CNL, GLK, HSW, ICL, KBL, SKL
i915 features: display/FBC, display/PSR


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2017-11-21 08:23:42 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3284/shard-glkb5/igt@kms_fbcon_fbt@psr.html

(kms_fbcon_fbt:6495) CRITICAL: Test assertion failure function subtest, file kms_fbcon_fbt.c:217:
(kms_fbcon_fbt:6495) CRITICAL: Failed assertion: feature->wait_until_enabled(drm.fd)
(kms_fbcon_fbt:6495) CRITICAL: Last errno: 2, No such file or directory
Subtest psr failed.


https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_3366/shard-glkb6/igt@kms_fbcon_fbt@psr-suspend.html	

(kms_fbcon_fbt:2646) CRITICAL: Test assertion failure function subtest, file kms_fbcon_fbt.c:237:
(kms_fbcon_fbt:2646) CRITICAL: Failed assertion: feature->wait_until_enabled(drm.fd)
Subtest psr-suspend failed.

Note: I unhduplicated this from bug 101718. 
Also see bug 103341 and 103345 for more GLK-shards PSR related issues.
Comment 1 Hector Velazquez 2017-12-18 15:14:36 UTC
This tests has a fail on CFL QA with the same assertion

igt@kms_fbcon_fbt@fbc

IGT-Version: 1.20-gc0be331 (x86_64) (Linux: 4.15.0-rc3-drm-intel-qa-ww50-commit-ad43db1+ x86_64)

(kms_fbcon_fbt:2718) CRITICAL: Test assertion failure function subtest, file kms_fbcon_fbt.c:237:
(kms_fbcon_fbt:2718) CRITICAL: Failed assertion: feature->wait_until_enabled(drm.fd)
Subtest fbc failed.
Comment 2 Octavio 2018-02-07 22:13:54 UTC
This test has a fail on CFL QA  with the same assertion

igt@kms_fbcon_fbt@fbc-suspend

IGT-Version: 1.21-g08e8621 (x86_64) (Linux: 4.15.0-drm-intel-qa-ww6-commit-64279a8+ x86_64)

(kms_fbcon_fbt:2380) CRITICAL: Test assertion failure function subtest, file kms_fbcon_fbt.c:237:
(kms_fbcon_fbt:2380) CRITICAL: Failed assertion: feature->wait_until_enabled(drm.fd)
Subtest fbc-suspend failed.
Comment 6 Marta Löfstedt 2018-03-16 07:56:00 UTC
*** Bug 105356 has been marked as a duplicate of this bug. ***
Comment 7 Marta Löfstedt 2018-03-19 15:06:21 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_4/fi-bdw-gvtdvm/igt@kms_fbcon_fbt@fbc.html
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_4/fi-bdw-gvtdvm/igt@kms_fbcon_fbt@fbc-suspend.html

(kms_fbcon_fbt:1457) CRITICAL: Test assertion failure function subtest, file ../tests/kms_fbcon_fbt.c:243:
(kms_fbcon_fbt:1457) CRITICAL: Failed assertion: feature->wait_until_enabled(drm.fd)
Subtest fbc failed.
Comment 8 Martin Peres 2018-05-02 09:41:13 UTC
Also seen on the HSW with a PSR panel (on runs drmtip_27, 28, and 29):

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_27/fi-hsw-4200u/igt@kms_fbcon_fbt@psr.html

https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_27/fi-hsw-4200u/igt@kms_fbcon_fbt@psr-suspend.html

(kms_fbcon_fbt:1776) CRITICAL: Test assertion failure function subtest, file ../tests/kms_fbcon_fbt.c:243:
(kms_fbcon_fbt:1776) CRITICAL: Failed assertion: feature->wait_until_enabled(drm.fd)
Subtest psr-suspend failed.
Comment 10 Martin Peres 2018-08-28 15:16:20 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_95/fi-icl-u/igt@kms_fbcon_fbt@psr.html

(kms_fbcon_fbt:1472) CRITICAL: Test assertion failure function subtest, file ../tests/kms_fbcon_fbt.c:243:
(kms_fbcon_fbt:1472) CRITICAL: Failed assertion: feature->wait_until_enabled(drm.fd)
Subtest psr failed.
Comment 11 Martin Peres 2018-09-10 08:24:26 UTC
Due to changes in the IGT code, the signature for this bug changed a little:
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_106/fi-icl-u/igt@kms_fbcon_fbt@psr-suspend.html

(kms_fbcon_fbt:2640) CRITICAL: Test assertion failure function subtest, file ../tests/kms_fbcon_fbt.c:264:
(kms_fbcon_fbt:2640) CRITICAL: Failed assertion: feature->wait_until_enabled(drm.debugfs_fd)
Subtest psr-suspend failed.
Comment 12 James Ausmus 2018-11-14 21:50:17 UTC
From the logs in https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_106/fi-icl-u/dmesg12.log it looks like this is failing in the psr-suspend test (starts at ~177 seconds, ends at ~188 seconds), probably due to :

<7>[  183.392092] [drm:intel_dp_compute_config [i915]] PSR condition failed: PSR setup time (330 us) too long
Comment 13 Jose Roberto de Souza 2019-01-07 19:13:45 UTC
https://patchwork.freedesktop.org/series/54837/ should fix this
Comment 15 James Ausmus 2019-02-27 20:57:45 UTC
Did that series end up merging?
Comment 16 Jose Roberto de Souza 2019-04-15 19:57:12 UTC
Patches fixing it merged.
Comment 17 CI Bug Log 2019-04-16 06:30:56 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ICL: igt@kms_fbcon_fbt@psr - fail -  Failed assertion: feature-&gt;wait_until_enabled(drm-&gt;debugfs_fd)
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4948/shard-iclb8/igt@kms_fbcon_fbt@psr.html

  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12809/shard-iclb8/igt@kms_fbcon_fbt@psr.html
Comment 18 Lakshmi 2019-04-16 06:31:29 UTC
(In reply to CI Bug Log from comment #17)
> The CI Bug Log issue associated to this bug has been updated.
> 
> ### New filters associated
> 
> * ICL: igt@kms_fbcon_fbt@psr - fail -  Failed assertion:
> feature-&gt;wait_until_enabled(drm-&gt;debugfs_fd)
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4948/shard-iclb8/
> igt@kms_fbcon_fbt@psr.html
> 
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12809/shard-iclb8/
> igt@kms_fbcon_fbt@psr.html

@Jose still occuring ? Is this a different issue?
Comment 19 CI Bug Log 2019-04-16 11:13:41 UTC
A CI Bug Log filter associated to this bug has been updated:

{- ICL: igt@kms_fbcon_fbt@psr - fail -  Failed assertion: feature-&gt;wait_until_enabled(drm-&gt;debugfs_fd) -}
{+ ICL: igt@kms_fbcon_fbt@* - fail -  Failed assertion: feature-&gt;wait_until_enabled(drm-&gt;debugfs_fd) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4949/shard-iclb8/igt@kms_fbcon_fbt@psr-suspend.html
Comment 20 Jose Roberto de Souza 2019-04-16 16:11:42 UTC
Hi Lakshmi

As I have commented in other bug, the eDP panel on shard-iclb8 can not have PSR enabled because its setup time is too long:

<7> [2316.164406] [drm:intel_dp_compute_config [i915]] PSR condition failed: PSR setup time (330 us) too long

All PSR tests on shard-iclb8 should be whitelisted or the eDP panel should be replaced.
Comment 21 Jani Saarinen 2019-04-17 08:39:33 UTC
Hi,
shard-iclb8 has now same kind of panel that shard-iclb7 has.
Comment 22 Martin Peres 2019-04-17 14:09:53 UTC
(In reply to Jani Saarinen from comment #21)
> Hi,
> shard-iclb8 has now same kind of panel that shard-iclb7 has.

Looks like it is indeed fixed. 11 runs without a failure when it was 100% reproducible.
Comment 23 CI Bug Log 2019-04-17 14:09:58 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.
Comment 24 Lakshmi 2019-04-18 07:11:05 UTC
(In reply to Jose Roberto de Souza from comment #20)
> Hi Lakshmi
> 
> As I have commented in other bug, the eDP panel on shard-iclb8 can not have
> PSR enabled because its setup time is too long:
> 
> <7> [2316.164406] [drm:intel_dp_compute_config [i915]] PSR condition failed:
> PSR setup time (330 us) too long
> 
> All PSR tests on shard-iclb8 should be whitelisted or the eDP panel should
> be replaced.

@Jose, This time I see the failure on WHL. 
https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_256/fi-whl-u/igt@kms_fbcon_fbt@psr-suspend.html

Starting subtest: psr-suspend
(kms_fbcon_fbt:1306) CRITICAL: Test assertion failure function subtest, file ../tests/kms_fbcon_fbt.c:275:
(kms_fbcon_fbt:1306) CRITICAL: Failed assertion: feature->wait_until_enabled(drm->debugfs_fd)
Subtest psr-suspend failed.
Comment 25 CI Bug Log 2019-04-18 13:41:26 UTC
The CI Bug Log issue associated to this bug has been restored.

All the previous filters are now active.
Comment 26 CI Bug Log 2019-04-18 13:57:48 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW BDW SKL GLK KBL WHL CNL ICL: kms_fbcon_fbt@psr - Failed assertion: feature-&gt;wait_until_enabled(drm.debugfs_fd) -}
{+ HSW BDW SKL GLK KBL WHL CNL ICL: kms_fbcon_fbt@psr - Failed assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_256/fi-whl-u/igt@kms_fbcon_fbt@psr-suspend.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_256/fi-whl-u/igt@kms_fbcon_fbt@psr.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_257/fi-whl-u/igt@kms_fbcon_fbt@psr-suspend.html

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_257/fi-whl-u/igt@kms_fbcon_fbt@psr.html
Comment 27 CI Bug Log 2019-04-18 13:58:10 UTC
The CI Bug Log issue associated to this bug has been updated.

### Removed filters

* ICL: igt@kms_fbcon_fbt@* - fail -  Failed assertion: feature-&gt;wait_until_enabled(drm-&gt;debugfs_fd) (added on 2 days, 2 hours ago)
Comment 28 Jose Roberto de Souza 2019-04-18 16:35:14 UTC
Hi Lakshmi

The fail in WHL is due the PSR implementation on the eDP panel:

<7>[   10.367415] [drm:intel_psr_short_pulse [i915]] PSR sink internal error, disabling PSR
<7>[   10.367477] [drm:intel_psr_disable_locked [i915]] Disabling PSR2
<7>[   10.372850] [drm:intel_psr_short_pulse [i915]] PSR RFB storage error, disabling PSR
<7>[   10.372904] [drm:intel_psr_short_pulse [i915]] PSR VSC SDP uncorrectable error, disabling PSR

<7> [270.407027] [drm:intel_dp_compute_config [i915]] PSR sink implementation is not reliable

We plan in future enable PSR again after a error on sink side but for now after a error we keep it disabled until reboot.
Comment 29 CI Bug Log 2019-04-28 16:56:05 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW BDW SKL GLK KBL WHL CNL ICL: kms_fbcon_fbt@psr - Failed assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) -}
{+ HSW BDW SKL GLK KBL WHL CNL ICL: kms_fbcon_fbt@psr - Failed assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_fbcon_fbt@psr-suspend.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_265/fi-cml-u/igt@kms_fbcon_fbt@psr.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_fbcon_fbt@psr-suspend.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_266/fi-cml-u/igt@kms_fbcon_fbt@psr.html
Comment 30 CI Bug Log 2019-04-28 16:57:13 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW BDW SKL GLK KBL WHL CNL ICL: kms_fbcon_fbt@psr - Failed assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) -}
{+ HSW BDW SKL GLK KBL WHL CML CNL ICL: kms_fbcon_fbt@psr - Failed assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) +}


  No new failures caught with the new filter
Comment 31 Martin Peres 2019-07-01 11:10:38 UTC
Based on Jose's comment, the bug is not fixed, but this is just a low priority task. Re-opening and setting the priority low.
Comment 32 CI Bug Log 2019-09-09 12:42:37 UTC
A CI Bug Log filter associated to this bug has been updated:

{- HSW BDW SKL GLK KBL WHL CML CNL ICL: kms_fbcon_fbt@psr - Failed assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) -}
{+ HSW BDW SKL GLK KBL WHL CML CNL ICL TGL: kms_fbcon_fbt@psr - Failed assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) +}

New failures caught by the filter:

  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/igt@kms_fbcon_fbt@psr.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@kms_fbcon_fbt@psr.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/igt@kms_fbcon_fbt@psr-suspend.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@kms_fbcon_fbt@psr.html
  * https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/igt@kms_fbcon_fbt@psr-suspend.html
Comment 33 Jose Roberto de Souza 2019-09-09 16:05:28 UTC
This failing due the panel:

<7>[   34.904459] [drm:intel_dp_compute_config [i915]] PSR condition failed: PSR setup time (330 us) too long

We would need to replace this panel or whitelist PSR tests on TGL.

(In reply to CI Bug Log from comment #32)
> A CI Bug Log filter associated to this bug has been updated:
> 
> {- HSW BDW SKL GLK KBL WHL CML CNL ICL: kms_fbcon_fbt@psr - Failed
> assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) -}
> {+ HSW BDW SKL GLK KBL WHL CML CNL ICL TGL: kms_fbcon_fbt@psr - Failed
> assertion: feature-&gt;wait_until_enabled(drm.?(-&gt;)?debugfs_fd) +}
> 
> New failures caught by the filter:
> 
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_362/fi-tgl-u/
> igt@kms_fbcon_fbt@psr.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/
> igt@kms_fbcon_fbt@psr.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_363/fi-tgl-u/
> igt@kms_fbcon_fbt@psr-suspend.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/
> igt@kms_fbcon_fbt@psr.html
>   *
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_364/fi-tgl-u/
> igt@kms_fbcon_fbt@psr-suspend.html
Comment 34 CI Bug Log 2019-10-03 13:35:19 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* CML: igt@kms_fbcon_fbt@psr-suspend - dmesg-fail - Failed assertion: feature-&gt;wait_until_update(drm-&gt;debugfs_fd)
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_381/fi-cml-h/igt@kms_fbcon_fbt@psr-suspend.html
Comment 35 Jose Roberto de Souza 2019-10-07 14:08:47 UTC
(In reply to CI Bug Log from comment #34)
> The CI Bug Log issue associated to this bug has been updated.
> 
> ### New filters associated
> 
> * CML: igt@kms_fbcon_fbt@psr-suspend - dmesg-fail - Failed assertion:
> feature-&gt;wait_until_update(drm-&gt;debugfs_fd)
>   -
> https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_381/fi-cml-h/
> igt@kms_fbcon_fbt@psr-suspend.html

Caused by a null-pointer exception after waking up from suspend caused by code outside of i915

<7>[  429.569567] [drm:drm_dp_i2c_do_msg] native defer
<7>[  429.570865] [drm:drm_dp_i2c_do_msg] native defer
<1>[  429.571550] BUG: kernel NULL pointer dereference, address: 0000000000000001
<1>[  429.571583] #PF: supervisor write access in kernel mode
<1>[  429.571605] #PF: error_code(0x0002) - not-present page
<6>[  429.571627] PGD 0 P4D 0 
<4>[  429.571642] Oops: 0002 [#1] PREEMPT SMP NOPTI
<4>[  429.571661] CPU: 15 PID: 2116 Comm: systemd-udevd Tainted: G     U            5.3.0-g03d599f9ab81-drmtip_381+ #1
<4>[  429.571697] Hardware name: Intel Corporation WhiskeyLake Client Platform/CometLake H SODIMM (ERB/CRB), BIOS CMLSFWR1.R00.1285.D00.1907121104 07/12/2019
<4>[  429.571741] RIP: 0010:___might_sleep+0x2b/0x250
<4>[  429.571759] Code: 56 41 55 41 54 55 41 89 f4 53 48 89 fd 89 d3 e8 0b b7 05 00 85 c0 74 0d 80 3d d8 18 23 01 00 0f 84 55 01 00 00 e8 f5 b6 05 00 <85> c0 74 0d 80 3d c1 18 23 01 00 0f 84 7c 01 00 00 65 8b 05 45 0c
<4>[  429.571821] RSP: 0018:ffffa857c0e6be40 EFLAGS: 00010246
<4>[  429.571842] RAX: 0000000000000001 RBX: 0000000000000000 RCX: 0000000000000001
<4>[  429.571869] RDX: 0000000000000002 RSI: 00000000ffffffff RDI: 0000000000000246
<4>[  429.571894] RBP: ffffffff9308e0c6 R08: 0000000000000000 R09: 0000000000000001
<4>[  429.571920] R10: 0000000040000010 R11: 0000000000000000 R12: 000000000000034b
<4>[  429.571946] R13: ffffffff9228eca4 R14: ffff9a5882af1118 R15: ffff9a588378d3f8
<4>[  429.571971] FS:  00007f0f38289680(0000) GS:ffff9a588bb80000(0000) knlGS:0000000000000000
<4>[  429.572000] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4>[  429.572021] CR2: 0000000000000001 CR3: 0000000442394003 CR4: 00000000003606e0
<4>[  429.572048] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
<4>[  429.572073] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
<4>[  429.572098] Call Trace:
<4>[  429.572114]  ? dput+0x24/0x480
<4>[  429.572129]  dput+0x33/0x480
<4>[  429.572145]  __fput+0x10c/0x250
<4>[  429.572162]  task_work_run+0x82/0xb0
<4>[  429.572180]  exit_to_usermode_loop+0xac/0xb0
<4>[  429.572198]  do_syscall_64+0x1b9/0x210
<4>[  429.572215]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4>[  429.572236] RIP: 0033:0x7f0f37d9f8d4
<4>[  429.572253] Code: eb 89 e8 cf 43 02 00 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 44 00 00 48 8d 05 31 00 2e 00 8b 00 85 c0 75 13 b8 03 00 00 00 0f 05 <48> 3d 00 f0 ff ff 77 3c f3 c3 66 90 53 89 fb 48 83 ec 10 e8 f4 fd
<7>[  429.572259] [drm:drm_dp_i2c_do_msg] native defer
<4>[  429.572314] RSP: 002b:00007ffe421a55b8 EFLAGS: 00000246 ORIG_RAX: 0000000000000003
<4>[  429.572358] RAX: 0000000000000000 RBX: 000000000000000f RCX: 00007f0f37d9f8d4
<4>[  429.572384] RDX: 0000562fa054c010 RSI: 0000562fa054c010 RDI: 000000000000000f
<4>[  429.572410] RBP: 00007f0f382895a0 R08: 000000000000000d R09: 0000000000000000
<4>[  429.572436] R10: 0000000000000000 R11: 0000000000000246 R12: 0000000000000002
<4>[  429.572464] R13: 0000562fa032009d R14: 000000000000000f R15: 0000000000000000
<4>[  429.572495] Modules linked in: vgem snd_hda_codec_hdmi snd_hda_codec_generic i915 x86_pkg_temp_thermal coretemp cdc_ether snd_hda_intel usbnet snd_intel_nhlt mii snd_hda_codec crct10dif_pclmul snd_hwdep snd_hda_core crc32_pclmul ghash_clmulni_intel snd_pcm prime_numbers i2c_hid [last unloaded: vgem]


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.